src/alge/cs_blas.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
cs_blas.c File Reference
`#include "cs_defs.h"`
`#include <math.h>`
`#include "cs_base.h"`
`#include "cs_parall.h"`
`#include "cs_blas.h"`
Include dependency graph for cs_blas.c:

## Macros
#define | THR_MIN 128

## Functions
double | csdot (const cs_int_t *n, const cs_real_t *x, const cs_real_t *y)
double | csres (const cs_int_t *n, const cs_real_t *vol, const cs_real_t *x, const cs_real_t *y)
void | cs_axpy (cs_lnum_t n, double a, const cs_real_t *x, cs_real_t *restrict y)
double | cs_dot (cs_lnum_t n, const cs_real_t *x, const cs_real_t *y)
double | cs_gres (cs_lnum_t n, const cs_real_t *vol, const cs_real_t *x, const cs_real_t *y)
double | cs_dot_xx (cs_lnum_t n, const cs_real_t *x)
void | cs_dot_xx_xy (cs_lnum_t n, const cs_real_t *restrict x, const cs_real_t *restrict y, double *xx, double *xy)
void | cs_dot_xy_yz (cs_lnum_t n, const cs_real_t *restrict x, const cs_real_t *restrict y, const cs_real_t *restrict z, double *xy, double *yz)
void | cs_dot_xx_xy_yz (cs_lnum_t n, const cs_real_t *restrict x, const cs_real_t *restrict y, const cs_real_t *restrict z, double *xx, double *xy, double *yz)
double | cs_gdot (cs_lnum_t n, const cs_real_t *x, const cs_real_t *y)

## Macro Definition Documentation

#define THR_MIN 128

## Function Documentation

void cs_axpy | ( | cs_lnum_t | n,
|  | double | a,
|  | const cs_real_t * | x,
|  | cs_real_t *restrict | y
| ) |  |

double cs_dot | ( | cs_lnum_t | n,
|  | const cs_real_t * | x,
|  | const cs_real_t * | y
| ) |  |

double cs_dot_xx | ( | cs_lnum_t | n,
|  | const cs_real_t * | x
| ) |  |

void cs_dot_xx_xy | ( | cs_lnum_t | n,
|  | const cs_real_t *restrict | x,
|  | const cs_real_t *restrict | y,
|  | double * | xx,
|  | double * | xy
| ) |  |

void cs_dot_xx_xy_yz | ( | cs_lnum_t | n,
|  | const cs_real_t *restrict | x,
|  | const cs_real_t *restrict | y,
|  | const cs_real_t *restrict | z,
|  | double * | xx,
|  | double * | xy,
|  | double * | yz
| ) |  |

void cs_dot_xy_yz | ( | cs_lnum_t | n,
|  | const cs_real_t *restrict | x,
|  | const cs_real_t *restrict | y,
|  | const cs_real_t *restrict | z,
|  | double * | xy,
|  | double * | yz
| ) |  |

double cs_gdot | ( | cs_lnum_t | n,
|  | const cs_real_t * | x,
|  | const cs_real_t * | y
| ) |  |

double cs_gres | ( | cs_lnum_t | n,
|  | const cs_real_t * | vol,
|  | const cs_real_t * | x,
|  | const cs_real_t * | y
| ) |  |

double csdot | ( | const cs_int_t * | n,
|  | const cs_real_t * | x,
|  | const cs_real_t * | y
| ) |  |

double csres | ( | const cs_int_t * | n,
|  | const cs_real_t * | vol,
|  | const cs_real_t * | x,
|  | const cs_real_t * | y
| ) |  |